Version 6.x.x Source
Single Default settings for Shopping Cart

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `enabled` | Check | Enable Shopping Cart |
2 | `section_break_2` | Section Break |  |
3 | `company` | Link | Company | Company
4 | `price_list` | Link | Price List | Price List
5 | `column_break_4` | Column Break |  |
6 | `default_customer_group` | Link | Default Customer Group | Customer Group
7 | `quotation_series` | Select | Quotation Series |

### Controller

#### erpnext.shopping_cart.doctype.shopping_cart_settings.shopping_cart_settings

### Class ShoppingCartSettings

Inherits from frappe.model.document.Document

get_shipping_rules (self, shipping_territory)

No docs

get_tax_master (self, billing_territory)

No docs

onload (self)

No docs

validate (self)

No docs

validate_exchange_rates_exist (self)

check if exchange rates exist for all Price List currencies (to company's currency)

validate_tax_rule (self)

No docs

### Class ShoppingCartSetupError

Inherits from frappe.exceptions.ValidationError

erpnext.shopping_cart.doctype.shopping_cart_settings.shopping_cart_settings.check_shopping_cart_enabled ()

No docs

erpnext.shopping_cart.doctype.shopping_cart_settings.shopping_cart_settings.get_shopping_cart_settings ()

No docs

erpnext.shopping_cart.doctype.shopping_cart_settings.shopping_cart_settings.is_cart_enabled ()

No docs

erpnext.shopping_cart.doctype.shopping_cart_settings.shopping_cart_settings.validate_cart_settings (doc, method)

No docs